Detach a Volume by ID
Detaches the specified volume from the server. Note that only the volume's connection to the specified server is disconnected. If you want to delete the volume, you must submit a separate request to perform the deletion. Volumes that use a Confidential Computing image cannot be detached. They are permanently bound to the server they were created with as its boot device; the volume is only removed together with the server.
You will need to base64 encode the string containing your credentials.
- Basic Authentication is supported only when 2-Factor Authentication is not configured.
- Users with 2-Factor Authentication activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). These tokens do not inherit the 2FA-secured property by default.
- Token deletion is only possible using the Token Manager.
The unique ID of the data center.
The unique ID of the server.
The unique ID of the volume.
Controls whether the response is pretty-printed (with indentations and new lines).
trueControls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on
0Users with multiple contracts must provide the contract number, for which all API requests are to be executed.
Successful operation
Any erroneous status code: 400 (parse error), 401 (auth error), 402 (trial access), 403 (insufficient privileges), 404 (not found), 405 (unsupported HTTP method), 415 (unsupported content type, 422 (validation error), 429 (request rate limit exceeded), 500 (server error), or 503 (maintenance).
DELETE /cloudapi/v6/datacenters/{datacenterId}/servers/{serverId}/volumes/{volumeId} HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
No content
Last updated
Was this helpful?